<?php
/**
 * @copyright	Copyright (c) 2013 Skyline Software (http://extstore.com). All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access.
defined('_JEXEC') or die();

jimport('joomla.application.component.model');

/**
 * Project Model.
 *
 * @package		Joomla.Administrator
 * @subpakage	Skyline.Portfolio
 */
class SL_AdvPollModelAbout extends JModel {
	/**
	 * Get all images for slider.
	 */
	public function getImages() {
		$base_patth	= JPATH_ROOT . '/administrator/components/com_sl_advpoll/assets/images/about';
		$images = JFolder::files($base_patth, '.*(jpg|jpeg|png|gif)');

		return $images;
	}
}