<?php
/**
 * @copyright	Copyright (c) 2013 Skyline Software (http://extstore.com). All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access.
defined('_JEXEC') or die();

// Access check.
if (!JFactory::getUser()->authorize('core.manage', 'com_sl_advpoll')) {
	return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
}

// Include CSS and JS
JHtml::_('behavior.framework', 1);
$document	= JFactory::getDocument();
$document->addStyleSheet(JURI::base(true) . '/components/com_sl_advpoll/assets/css/style.css');
$document->addScript(JURI::base(true) . '/components/com_sl_advpoll/assets/js/script.js');

// Include dependancies
JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');
require_once(JPATH_COMPONENT . '/defines.php');
require_once(JPATH_COMPONENT . '/helpers/factory.php');
jimport('joomla.application.component.controller');

$controller	= JController::getInstance('SL_AdvPoll');
$controller->execute(JRequest::getCmd('task'));
$controller->redirect();