<?php
/**
 * @copyright	Copyright (c) 2013 Skyline Software (http://extstore.com). All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access.
defined('_JEXEC') or die();

$published = $this->state->get('filter.published');
?>
<fieldset class="batch">
	<legend>
		<?php echo JText::_('COM_SL_ADVPOLL_POLLS_BATCH_OPTIONS'); ?>
	</legend>
	<?php echo JHtml::_('batch.access'); ?>
	
	<?php if ($published >= 0) : ?>
		<?php echo JHtml::_('batch.item', 'com_sl_advpoll', $published); ?>
	<?php endif; ?>
	
	<button type="submit" onclick="Joomla.submitbutton('poll.batch');">
		<?php echo JText::_('JGLOBAL_BATCH_PROCESS'); ?>
	</button>
	
	<button type="button" onclick="document.id('batch-category-id').value = ''; document.id('batch-access').value = ''">
		<?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?>
	</button>
</fieldset>